#include <stdio.h>

int main (int narg, char *arg[]) {
  FILE *inped, *inmark, *outfile;
  char *inpn="pe2.wrk",*inmn="mark.wrk",*outn="mark.sol";
  char stri[30000],stris[20];
  int nd,nloci,i,j,k,l;

    if (narg !=4) {
        printf("USAGE: Sc-mark pedigree mark outfile\n");
        printf("       pedigree  --- input pedigree file (after \"renum\")\n");
        printf("       mark --- marker genotypes (from \"modelgty\" via \"extract\")\n");
	printf("       outfile --- output marker file in SOLAR format\n");
	return(1);
      } else {
	inpn=arg[1]; inmn=arg[2]; outn=arg[3];
      }

  if ((inped=fopen(inpn,"r"))==NULL) {
    printf("error opening file %s",inpn);
    return(1);
    }
  if ((inmark=fopen(inmn,"r"))==NULL) {
    printf("error opening file %s",inmn);
    return(1);
    }
  if ((outfile=fopen(outn,"w"))==NULL) {
    printf("error opening file %s",outn);
    return(1);
    }

  fgets(stri,255,inped);
  fgets(stri,255,inmark);
  sscanf(stri,"%i %i",&nd,&nloci);
//  printf("%i %i",nd,nloci);
  fprintf(outfile,"id");
  for (i=0;i<nloci;i++) {
    fscanf(inmark,"%s",&stris);
    fprintf(outfile,",%s",stris);
    }
  fprintf(outfile,"\n");
  
  for (i=0;i<nd;i++) {
  fscanf(inped,"%i %i %i %i %i %i %s",&j,&j,&j,&j,&j,&j,&stris);
  fprintf(outfile,"%s",stris);
  for (j=0;j<nloci;j++) {
    fscanf(inmark,"%i %i",&k,&l);
    fprintf(outfile,",%i/%i",k,l);
    }
  fprintf(outfile,"\n");
//  printf("%i ",i);
  }
  
  fclose(outfile);
  fclose(inmark);
  fclose(inped);
  return(0);
} 
