	program extract_mark_qtl
	include 'c_all.inc'
	character*255 qtln,markn,gntpn
	narg=iargc()
	if (narg.lt.1) then
	  print*,'USAGE: extract gntp <mark> <qtl>'
	  print*,'                                                      '
	  print*,'       the program sort "gntp" file into two, the first'
	  print*,'       one containing loci with "qtl" substring in loci'
	  print*,'       name ("qtl" file), and others to other file     '
	  print*,'                                                      '
	  print*,'       gntp --- file with genotypes similated by 
     :"modelgty" program'
	  print*,'       <mark> (optionally) ---  
     :output for marker genotypes'
	  print*,'       <qtl> (optionally) ---  
     :output for "qtl" genotypes'
	  stop
	end if
	qtln="qtl.wrk"
	markn="mark.wrk"
	if (narg.ge.1) call getarg(1,gntpn)
	if (narg.ge.2) call getarg(2,markn)
	if (narg.ge.3) call getarg(3,qtln)
	open(2,file=qtln)
	open(3,file=markn)
	open(1,file=gntpn)
	read(1,'(2i5)') nd,nloci
	read(1,'(1000a12)') (lname(i),i=1,nloci)
	do i=1,nd
	read(1,'(1000(6x,2i3))') (gall(j),j=1,nloci*2)
	kkqt=1
	kkmar=1
	do k=1,nloci
	if (index(lname(k),'qtl').ne.0) then
	qtl(kkqt*2-1)=gall(k*2-1)
	qtl(kkqt*2)=gall(k*2)
	qtname(kkqt)=lname(k)
	kkqt=kkqt+1
	else
	mark(kkmar*2-1)=gall(k*2-1)
	mark(kkmar*2)=gall(k*2)
	marname(kkmar)=lname(k)
	kkmar=kkmar+1
	end if
	end do
	kkqt=kkqt-1
	kkmar=kkmar-1
	if (i.eq.1) then
	write(2,'(2i5)') nd,kkqt 
	write(2,'(1000a12)') (qtname(jjj1),jjj1=1,kkqt)
	write(3,'(2i5)') nd,kkmar 
	write(3,'(1000a12)') (marname(jjj1),jjj1=1,kkmar)
	end if
	write(2,'(1000(6x,2i3))')(qtl(jj),jj=1,kkqt*2)
	write(3,'(1000(6x,2i3))')(mark(jj),jj=1,kkmar*2)
	end do
	close(1)
	close(2)
	close(3)
c	open(4,file='m-tmplt.wrk')
c	write(4,'(i5)') kkqt
c	do i=1,nloci
c	if (index(lname(i),'qtl').ne.0) 
c     :     write(4,'(a12,i5,1000(2i3,f7.3))') lname(i),2,
c     :			1,1,-0.1,1,2,0.0,2,1,0.0,2,2,0.1
c        end do
c	write(4,'(a12,f7.3)')'sqrt env.var',1.0
c	close(4)
	end
