	program model_phenotypes
	include 'c_all.inc'
	character*255 temp,qtl,qtmodel,phtypes
	real noise
c read seed
c        open(1,file='seed1')
c	read(1,'(i5)') isee
c	call srand(isee)
c        close(1)
	call rndseed()
c read model
	phtypes='phtypes.wrk'
	narg=iargc()
	if (narg.lt.2) then
	  print*,'USAGE: modelpht qtl model <phenotypes>'
	  print*,'       qtl --- file with qtl-genotypes, coming from  
     :"modelgty" via "extract"'
	  print*,'       model --- file containing mode of inheritance 
     :for QT'
	  print*,'       phenotypes (optionally) --- output file name'
	  print*,'                 if missed, name "phtypes.wrk" used  '
	  stop
	end if
	if (narg.ge.1) call getarg(1,qtl)
	if (narg.ge.2) call getarg(2,qtmodel)
	if (narg.ge.3) call getarg(3,phtypes)
	
	open(1,file=qtmodel)
	do i=1,8
	read(1,'(a255)') temp
	end do
	read(1,'(i5)') nloci
	do i=1,nloci
	read(1,'(a12,i5,100f9.3)') lname1(i),nalle(i),
     :    ((gmean(i,k,m),m=1,nalle(i)),k=1,nalle(i))
c	write(*,'(a12,i5,100f9.3)') lname1(i),nalle(i),
c     :    ((gmean(i,k,m),m=1,nalle(i)),k=1,nalle(i))
	end do
	read(1,'(17x,f9.3)') sigma
c	write(*,'(17x,f9.3)') sigma
	close(1)
c read qtl data and calculate genotype-determined phenotypes
	open(1,file=qtl)
	read(1,'(2i5)') nd,nloc2
	if (nloc2.gt.nloci) call sstop('nloci.ne.nloci --- modelpht') 
	read(1,'(1000a12)') (lname2(j),j=1,nloci)
	do i=1,nd
	phenot(i)=0.0
	end do
	do i=1,nd
	read(1,'(1000(6x,2i3))')(genotypes(k),k=1,nloc2*2)
	do j=1,nloc2
	do k=1,nloci
	if (lname1(k).eq.lname2(j)) then
	ig1=genotypes(j*2-1)
	ig2=genotypes(j*2)
	phenot(i)=phenot(i)+gmean(j,ig1,ig2)
	end if
	end do
	end do
	end do
	close(1)
c add env.noise
	do i=1,nd
	noise=pnormrnd()*sigma
c	print*,' noise=',i,noise
	phenot(i)=phenot(i)+noise
	end do
c write phenotypes
	open(1,file=phtypes)
	write(1,'(i5)') nd
	do i=1,nd
	write(1,'(f9.3)') phenot(i)
	end do
	close(1)
	end

	include 'sstop.f'
	include 'normrnd.f'
	include 'randoml.f'
