/*
compiled under g++
*/
#include <stdio.h>
#include <stdlib.h>

struct pedrec {int nped, inv, mat, fat, race, sex, orig; char tra[6];};
pedrec *oldped;

int numax,numped=0;

int orif(FILE *fi) {
    char stri[100];
    int i;
    if (fgets(stri,100,fi)) {
       if (!sscanf(stri,"%i",&numax)) {
	  printf("error reading data from input file\n");
	  return(1);}
       } else {
       printf("error reading input data\n");
       return(1);
       }
    if (!(oldped = (pedrec *) calloc(numax,sizeof(pedrec))))
       {printf("numax=%i; not enough memory. Sorry...",numax);return(1);}
    for (i=0;i<numax;i++)
 
    if (fgets(stri,100,fi)) {
	  if (!sscanf(stri,"%i%i%i%i%i%s",&oldped[i].inv,
		      &oldped[i].mat,&oldped[i].fat,&oldped[i].race,
		      &oldped[i].sex,&oldped[i].tra)) {
	  printf("error reading data from input file\n");
	  return(1);}
       } else {
       printf("error reading input data\n");
       return(1);
       }

    return(NULL);
}


void owif(FILE *fi) {

    int i;
    fprintf(fi,"%5i%5i\n",numax,2);
/*    fprintf(fi,"family number\n");
    fprintf(fi,"individual number\n");
    fprintf(fi,"father's number\n");
    fprintf(fi,"mother's number\n");
    fprintf(fi,"race\n");
    fprintf(fi,"sex\n");
    fprintf(fi,"initial ID\n");
*/

    for (i=0;i<numax;i++)
	fprintf(fi,"%5i%5i%5i%5i%5i%5i%12i\n",oldped[i].nped,
		oldped[i].inv,oldped[i].mat,oldped[i].fat,
		oldped[i].race,oldped[i].sex,oldped[i].orig);

}


void owTRATRA(FILE *fi) {

    int i;
    fprintf(fi,"%5i\n",numax);
    for (i=0;i<numax;i++)
	fprintf(fi,"%5i%5s\n",
		oldped[i].orig,
                oldped[i].tra);

}


int osdl(FILE *f, int n) {

    char stri[100];
    int i;
    for (i=0;i<n;i++)
    if (!fgets(stri,100,f)) {
       printf("error reading descriptive data\n");
       return(1);
       }
    return(NULL);
}

int ofre(int rp,int pnum) {
   int i,cind,cmat,cfat;
   int nind=oldped[rp].inv,nmat=oldped[rp].mat,nfat=oldped[rp].fat;
   if ((nfat==0 && nmat!=0) || (nmat==0 && nfat!=0)) {
	printf("nfat==0 && nmat!=0 or rec in line %i",rp);
	return(1); /*dorabotat' -- d.b. STOP*/
	}
   oldped[rp].nped=pnum;
   for (i=0;i<numax;i++)
      if (i!=rp)
      if (oldped[i].nped==0)
	 {
	 cind=oldped[i].inv;cmat=oldped[i].mat;cfat=oldped[i].fat;
      if (nfat!=0 && cfat!=0) {
	 if (nfat==cfat || nmat==cmat) {
	    oldped[i].nped=pnum;
	    if (ofre(i,pnum)!=0) return(1);
	    }
	 }
	 if (cind!=0)
	    if (cind==nfat || cind==nmat) {
	       oldped[i].nped=pnum;
	       if (ofre(i,pnum)!=0) return(1);
	       }
	 if (nind!=0) {
	    if (cind==nind) {
	       printf("The individual %i is double offspring.Correct your data\n",nind);
	       return(1);
	       }
	    if (nind==cmat || nind==cfat) {
	       oldped[i].nped=pnum;
	       if (ofre(i,pnum)!=0) return(1);
	       }
	    }
	 }
   return(0);
}

int orpd(void) {
   int i,rp,ind,bound[1000],zipnum=0,IZER=-1;
   pedrec tempor;
   for (i=0;i<numax;i++) {
      oldped[i].nped=0;
      oldped[i].orig=oldped[i].inv;
	if (oldped[i].inv==0) oldped[i].orig=IZER--;
      if (oldped[i].inv>=zipnum) zipnum=oldped[i].inv+1;
      }
   oldped[0].nped=1;
   if (ofre(0,1)!=0) return(1);
   rp=2;
   do { ind=0;
   for (i=1;i<numax;i++)
      if (oldped[i].nped==0) { if (ofre(i,rp)==0)
	    {rp++;ind=1;} else {return(1);}}
   } while (ind!=0);
   if ((numped=--rp)>998) {printf("too much pedigrees...");return(1);}

   bound[0]=numped;bound[1]=0;bound[2]=0;
   for (int ii=1;ii<=numped;ii++) {
      for(int k=0;k<numax;k++) {
	 if (oldped[k].nped==ii)
	    if((k+1)!=++bound[ii+1]) {
	       tempor=oldped[k]; oldped[k]=oldped[bound[ii+1]-1];
	       oldped[bound[ii+1]-1]=tempor;
	       }
      } bound[ii+2]=bound[ii+1];}

   int curnum=1;
   for (int ii=1;ii<numped+1;ii++) {
      curnum=1;
      for (int j=bound[ii];j<bound[ii+1];j++) {
	 int nin=oldped[j].inv;
	 if (nin!=curnum)
	    if (nin==0) {oldped[j].inv=curnum++;} else {
	       for (int jj=bound[ii];jj<bound[ii+1];jj++) {
		  if (oldped[jj].inv==curnum) oldped[jj].inv=zipnum;
		  if (oldped[jj].mat==curnum) oldped[jj].mat=zipnum;
		  if (oldped[jj].fat==curnum) oldped[jj].fat=zipnum;
		  }
	       zipnum++;
	       oldped[j].inv=curnum;
	       for (int jj=bound[ii];jj<bound[ii+1];jj++) {
		  if (oldped[jj].mat==nin) oldped[jj].mat=curnum;
		  if (oldped[jj].fat==nin) oldped[jj].fat=curnum;
		  }
	       }
	       curnum++;
	 }
      }
   return(0);
}

int main(int narg, char *arg[]) {
    char *infna/*="pe0.wrk"*/,*outfna/*="pe1.wrk"*/,stri[100],temp[13];
    FILE *inf,*outf;
    
    if (narg !=3) {
        printf("USAGE: renum infile outfile\n");
        printf("       infile  --- input pedigree file\n");
	printf("       outfile --- output pedigree file\n");
	return(1);
      } else {
	infna=arg[1]; outfna=arg[2];
      }

    if (!(inf=fopen(infna,"r"))) {
       printf("cannot open input data file '%s'\n",infna);
       return(1);
       }
    if (osdl(inf,1)) return(1);
    if (orif(inf)) return(1);
    fclose(inf);

    if (orpd()) return(1);

    if (!(outf=fopen(outfna,"w"))) {
       printf("cannot open output data file '%s'\n",outfna);
       return(1);
       }
    owif(outf);
    fclose(outf);
/*    if (!(outf=fopen("TRA.TRA","w"))) {
       printf("cannot open output data file TRA.TRA");
       return(1);
       }
    owTRATRA(outf);
    fclose(outf);*/
    return(0);
}

